## ros-melodic-swri-roscpp 2.14.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(swri_roscpp)

set(BUILD_DEPS
  diagnostic_updater
  dynamic_reconfigure 
  marti_common_msgs
  nav_msgs
  roscpp
  std_msgs
  std_srvs
)

set(RUNTIME_DEPS
  diagnostic_updater 
  dynamic_reconfigure
  marti_common_msgs
  nav_msgs 
  roscpp
  std_msgs
  std_srvs
)

find_package(Boost REQUIRED COMPONENTS thread)

find_package(PkgConfig)
pkg_check_modules(YamlCpp yaml-cpp)

### Catkin ###
find_package(catkin REQUIRED COMPONENTS ${BUILD_DEPS})
include_directories(include)
include_directories(SYSTEM
  ${catkin_INCLUDE_DIRS}
  ${YamlCpp_INCLUDE_DIR}
)

if (CATKIN_ENABLE_TESTING)
  find_package(message_generation REQUIRED)
  find_package(message_runtime REQUIRED)
  add_message_files(DIRECTORY msg FILES
    TestTopicServiceRequest.msg
    TestTopicServiceResponse.msg
    )
  generate_messages(DEPENDENCIES marti_common_msgs)
endif()

catkin_package(CATKIN_DEPENDS ${RUNTIME_DEPS}
  DEPENDS Boost
  INCLUDE_DIRS include
  LIBRARIES ${YamlCpp_LIBRARIES}
  CFG_EXTRAS swri_roscpp-extras.cmake)

### Build Test Node ###
add_executable(dynamic_parameters_test_node src/nodes/dynamic_parameters_test_node.cpp)
target_link_libraries(dynamic_parameters_test_node
  ${catkin_LIBRARIES}
  ${YamlCpp_LIBRARIES}
  Boost::thread
)
set_target_properties(dynamic_parameters_test_node PROPERTIES COMPILE_FLAGS "-std=c++11")

add_executable(subscriber_test src/nodes/subscriber_test.cpp)
target_link_libraries(subscriber_test ${catkin_LIBRARIES})

add_executable(latched_subscriber_test src/nodes/latched_subscriber_test.cpp)
target_link_libraries(latched_subscriber_test ${catkin_LIBRARIES})

add_executable(storing_subscriber_test src/nodes/storing_subscriber_test.cpp)
target_link_libraries(storing_subscriber_test ${catkin_LIBRARIES})

add_executable(service_server_test src/nodes/service_server_test.cpp)
target_link_libraries(service_server_test
  ${catkin_LIBRARIES}
  Boost::thread
)

add_executable(timer_test src/nodes/timer_test.cpp)
target_link_libraries(timer_test ${catkin_LIBRARIES})

add_executable(param_example src/nodes/param_example.cpp)
target_link_libraries(param_example ${catkin_LIBRARIES})

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest_gtest(test_params
                    test/params.test
                    test/params.cpp)
  target_link_libraries(test_params ${catkin_LIBRARIES})

  add_rostest_gtest(test_dynamic_parameters
    test/test_dynamic_parameters.test
    test/test_dynamic_parameters.cpp)
  target_link_libraries(test_dynamic_parameters ${catkin_LIBRARIES} ${YamlCpp_LIBRARIES})
  set_target_properties(test_dynamic_parameters PROPERTIES COMPILE_FLAGS "-std=c++11")

  ### Test the TopicService server and client ###
  # This is a little different from the way tests are normally declared because we
  # have a single binary that contains both server and client tests, but the tests
  # themselves are run in separate .test files.
  add_executable(test_topic_service
    test/topic_service_test.cpp)
  target_link_libraries(test_topic_service
    ${catkin_LIBRARIES}
    ${GTEST_LIBRARIES}
    Boost::thread
  )
  add_dependencies(test_topic_service ${${PROJECT_NAME}_EXPORTED_TARGETS})
  add_rostest(test/topic_service_client_test.test DEPENDENCIES test_topic_service)
  add_rostest(test/topic_service_server_test.test DEPENDENCIES test_topic_service)
endif()

### Install Test Node and Headers ###
install(TARGETS subscriber_test latched_subscriber_test param_example
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
catkin_install_python(PROGRAMS  scripts/service_splitter.py
                      DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-swri-roscpp (2.14.2-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 09 Sep 2020 00:00:00 -0000

ros-melodic-swri-roscpp (2.14.1-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 18 Aug 2020 00:00:00 -0000

ros-melodic-swri-roscpp (2.14.0-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 15 Jul 2020 00:00:00 -0000

ros-melodic-swri-roscpp (2.13.7-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 26 Jun 2020 00:00:00 -0000

ros-melodic-swri-roscpp (2.13.6-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 17 Jun 2020 00:00:00 -0000

ros-melodic-swri-roscpp (2.13.5-1stretch) stretch; urgency=high

  * Fix more Boost::thread issues (#587 <https://github.com/swri-robotics/marti_common/issues/587>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 17 Jun 2020 00:00:00 -0000

ros-melodic-swri-roscpp (2.13.4-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 16 Jun 2020 00:00:00 -0000

ros-melodic-swri-roscpp (2.13.3-1stretch) stretch; urgency=high

  * Use setuptools instead of distutils
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 12 Jun 2020 00:00:00 -0000

ros-melodic-swri-roscpp (2.13.2-1stretch) stretch; urgency=high

  * Support ROS Noetic (#581 <https://github.com/swri-robotics/marti_common/issues/581>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 10 Jun 2020 00:00:00 -0000

ros-melodic-swri-roscpp (2.13.1-1stretch) stretch; urgency=high

  * Fix the directory argument and correctly call add_message_files to avoid weird extra installed files (#580 <https://github.com/swri-robotics/marti_common/issues/580>)
  * Contributors: Matthew Bries

 -- P. J. Reed <preed@swri.org>  Thu, 21 May 2020 00:00:00 -0000

ros-melodic-swri-roscpp (2.13.0-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 13 May 2020 00:00:00 -0000

ros-melodic-swri-roscpp (2.12.0-1stretch) stretch; urgency=high

  * Add Enum Support to DynamicParameters (#564 <https://github.com/swri-robotics/marti_common/issues/564>)
  * Use safe_execute_process to generate messages instead and prevent it from running every build (#563 <https://github.com/swri-robotics/marti_common/issues/563>)
  * Contributors: Matthew Bries

 -- P. J. Reed <preed@swri.org>  Wed, 25 Mar 2020 00:00:00 -0000

ros-melodic-swri-roscpp (2.11.0-1stretch) stretch; urgency=high

  * Fix incorrect type for strings in dynamic params (#553 <https://github.com/pjreed/marti_common/issues/553>)
  * Contributors: jgassaway

 -- P. J. Reed <preed@swri.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-melodic-swri-roscpp (2.10.0-1stretch) stretch; urgency=high

  * Prevent swri:Subscriber latency calculations if current time is zero (#548 <https://github.com/swri-robotics/marti_common/issues/548>)
  * Change way name is created for topic services (#541 <https://github.com/swri-robotics/marti_common/issues/541>)
  * Contributors: jgassaway, nick-alton

 -- P. J. Reed <preed@swri.org>  Wed, 04 Sep 2019 00:00:00 -0000

ros-melodic-swri-roscpp (2.9.0-1stretch) stretch; urgency=high

  * Add callback for on change for dynamic parameters (#540 <https://github.com/swri-robotics/marti_common/issues/540>)
  * Add topic service unit tests (#538 <https://github.com/swri-robotics/marti_common/issues/538>)
  * Contributors: Matthew, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 23 May 2019 00:00:00 -0000

ros-melodic-swri-roscpp (2.8.0-1stretch) stretch; urgency=high

  * Add dynamic parameters (#532 <https://github.com/swri-robotics/marti_common/issues/532>)
  * Contributors: Matthew

 -- P. J. Reed <preed@swri.org>  Wed, 06 Feb 2019 00:00:00 -0000

ros-melodic-swri-roscpp (2.7.3-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 03 Jan 2019 00:00:00 -0000

ros-melodic-swri-roscpp (2.7.2-1stretch) stretch; urgency=high

  * Fix cmake macro for service_splitter.py (#535 <https://github.com/swri-robotics/marti_common/issues/535>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 20 Dec 2018 00:00:00 -0000

ros-melodic-swri-roscpp (2.7.1-1stretch) stretch; urgency=high

  * Fix conditional causing exists to not work properly. (#533 <https://github.com/swri-robotics/marti_common/issues/533>)
  * Remove non ascii character to please python (#530 <https://github.com/swri-robotics/marti_common/issues/530>)
  * Contributors: Matthew

 -- P. J. Reed <preed@swri.org>  Fri, 14 Dec 2018 00:00:00 -0000

ros-melodic-swri-roscpp (2.7.0-1stretch) stretch; urgency=high

  * Add topic based services and associated cmake utils (#523 <https://github.com/swri-robotics/marti_common/issues/523>)
    Provide utilities for implementing service type requests using messages in an almost transparent way.
  * Contributors: Matthew

 -- P. J. Reed <preed@swri.org>  Tue, 04 Dec 2018 00:00:00 -0000

ros-melodic-swri-roscpp (2.6.0-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 03 Nov 2018 00:00:00 -0000

ros-melodic-swri-roscpp (2.5.0-1stretch) stretch; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 12 Oct 2018 00:00:00 -0000

ros-melodic-swri-roscpp (2.4.0-1stretch) stretch; urgency=high

  * Update package maintainers (#520 <https://github.com/swri-robotics/marti_common/issues/520>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 09 Oct 2018 00:00:00 -0000

ros-melodic-swri-roscpp (2.3.0-1stretch) stretch; urgency=high

  * Only calculate statistics when messages arrive in order (#516 <https://github.com/swri-robotics/marti_common/issues/516>)
  * Contributors: David Anthony

 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 25 May 2018 00:00:00 -0000

ros-melodic-swri-roscpp (2.2.1-1stretch) stretch; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 11 May 2018 00:00:00 -0000

ros-melodic-swri-roscpp (2.2.0-1stretch) stretch; urgency=high



=== debian/control ===
Source: ros-melodic-swri-roscpp
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgtest-dev, libyaml-cpp-dev, pkg-config, ros-melodic-catkin, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-marti-common-msgs, ros-melodic-message-generation, ros-melodic-message-runtime, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-rosunit, ros-melodic-std-msgs, ros-melodic-std-srvs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-swri-roscpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libyaml-cpp-dev, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-marti-common-msgs, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-std-msgs, ros-melodic-std-srvs
Description: swri_roscpp

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-swri-roscpp//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-swri-roscpp 2.15.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
   diagnostic_updater
   dynamic_reconfigure 
   marti_common_msgs
+  marti_introspection_msgs
   nav_msgs
   roscpp
   std_msgs
@@ -16,6 +17,7 @@
   diagnostic_updater 
   dynamic_reconfigure
   marti_common_msgs
+  marti_introspection_msgs
   nav_msgs 
   roscpp
   std_msgs
@@ -58,7 +60,12 @@
   ${YamlCpp_LIBRARIES}
   Boost::thread
 )
-set_target_properties(dynamic_parameters_test_node PROPERTIES COMPILE_FLAGS "-std=c++11")
+if ($ENV{ROS_DISTRO} STREQUAL "kinetic")
+  set_target_properties(dynamic_parameters_test_node PROPERTIES 
+    CXX_STANDARD 11
+    CXX_STANDARD_REQUIRED ON
+  )
+endif()
 
 add_executable(subscriber_test src/nodes/subscriber_test.cpp)
 target_link_libraries(subscriber_test ${catkin_LIBRARIES})
@@ -92,7 +99,11 @@
     test/test_dynamic_parameters.test
     test/test_dynamic_parameters.cpp)
   target_link_libraries(test_dynamic_parameters ${catkin_LIBRARIES} ${YamlCpp_LIBRARIES})
-  set_target_properties(test_dynamic_parameters PROPERTIES COMPILE_FLAGS "-std=c++11")
+  if ($ENV{ROS_DISTRO} STREQUAL "kinetic")
+    set_target_properties(test_dynamic_parameters PROPERTIES 
+      CXX_STANDARD 11
+      CXX_STANDARD_REQUIRED ON)
+  endif()
 
   ### Test the TopicService server and client ###
   # This is a little different from the way tests are normally declared because we

=== debian/changelog ===
ros-melodic-swri-roscpp (2.15.2-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 01 Sep 2022 05:00:00 -0000

ros-melodic-swri-roscpp (2.14.2-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 09 Sep 2020 05:00:00 -0000

ros-melodic-swri-roscpp (2.14.1-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 18 Aug 2020 05:00:00 -0000

ros-melodic-swri-roscpp (2.14.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 15 Jul 2020 05:00:00 -0000

ros-melodic-swri-roscpp (2.13.7-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 26 Jun 2020 05:00:00 -0000

ros-melodic-swri-roscpp (2.13.6-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 17 Jun 2020 05:00:00 -0000

ros-melodic-swri-roscpp (2.13.5-1bionic) bionic; urgency=high

  * Fix more Boost::thread issues (#587 <https://github.com/swri-robotics/marti_common/issues/587>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 17 Jun 2020 05:00:00 -0000

ros-melodic-swri-roscpp (2.13.4-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 16 Jun 2020 05:00:00 -0000

ros-melodic-swri-roscpp (2.13.3-1bionic) bionic; urgency=high

  * Use setuptools instead of distutils
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 12 Jun 2020 05:00:00 -0000

ros-melodic-swri-roscpp (2.13.2-1bionic) bionic; urgency=high

  * Support ROS Noetic (#581 <https://github.com/swri-robotics/marti_common/issues/581>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-melodic-swri-roscpp (2.13.1-1bionic) bionic; urgency=high

  * Fix the directory argument and correctly call add_message_files to avoid weird extra installed files (#580 <https://github.com/swri-robotics/marti_common/issues/580>)
  * Contributors: Matthew Bries

 -- P. J. Reed <preed@swri.org>  Thu, 21 May 2020 05:00:00 -0000

ros-melodic-swri-roscpp (2.13.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-melodic-swri-roscpp (2.12.0-1bionic) bionic; urgency=high

  * Add Enum Support to DynamicParameters (#564 <https://github.com/swri-robotics/marti_common/issues/564>)
  * Use safe_execute_process to generate messages instead and prevent it from running every build (#563 <https://github.com/swri-robotics/marti_common/issues/563>)
  * Contributors: Matthew Bries

 -- P. J. Reed <preed@swri.org>  Wed, 25 Mar 2020 05:00:00 -0000

ros-melodic-swri-roscpp (2.11.0-1bionic) bionic; urgency=high

  * Fix incorrect type for strings in dynamic params (#553 <https://github.com/pjreed/marti_common/issues/553>)
  * Contributors: jgassaway

 -- P. J. Reed <preed@swri.org>  Wed, 13 Nov 2019 06:00:00 -0000

ros-melodic-swri-roscpp (2.10.0-1bionic) bionic; urgency=high

  * Prevent swri:Subscriber latency calculations if current time is zero (#548 <https://github.com/swri-robotics/marti_common/issues/548>)
  * Change way name is created for topic services (#541 <https://github.com/swri-robotics/marti_common/issues/541>)
  * Contributors: jgassaway, nick-alton

 -- P. J. Reed <preed@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-melodic-swri-roscpp (2.9.0-1bionic) bionic; urgency=high

  * Add callback for on change for dynamic parameters (#540 <https://github.com/swri-robotics/marti_common/issues/540>)
  * Add topic service unit tests (#538 <https://github.com/swri-robotics/marti_common/issues/538>)
  * Contributors: Matthew, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 23 May 2019 05:00:00 -0000

ros-melodic-swri-roscpp (2.8.0-1bionic) bionic; urgency=high

  * Add dynamic parameters (#532 <https://github.com/swri-robotics/marti_common/issues/532>)
  * Contributors: Matthew

 -- P. J. Reed <preed@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-melodic-swri-roscpp (2.7.3-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-melodic-swri-roscpp (2.7.2-1bionic) bionic; urgency=high

  * Fix cmake macro for service_splitter.py (#535 <https://github.com/swri-robotics/marti_common/issues/535>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-melodic-swri-roscpp (2.7.1-1bionic) bionic; urgency=high

  * Fix conditional causing exists to not work properly. (#533 <https://github.com/swri-robotics/marti_common/issues/533>)
  * Remove non ascii character to please python (#530 <https://github.com/swri-robotics/marti_common/issues/530>)
  * Contributors: Matthew

 -- P. J. Reed <preed@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-melodic-swri-roscpp (2.7.0-1bionic) bionic; urgency=high

  * Add topic based services and associated cmake utils (#523 <https://github.com/swri-robotics/marti_common/issues/523>)
    Provide utilities for implementing service type requests using messages in an almost transparent way.
  * Contributors: Matthew

 -- P. J. Reed <preed@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-melodic-swri-roscpp (2.6.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-melodic-swri-roscpp (2.5.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-melodic-swri-roscpp (2.4.0-1bionic) bionic; urgency=high

  * Update package maintainers (#520 <https://github.com/swri-robotics/marti_common/issues/520>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-melodic-swri-roscpp (2.3.0-1bionic) bionic; urgency=high

  * Only calculate statistics when messages arrive in order (#516 <https://github.com/swri-robotics/marti_common/issues/516>)
  * Contributors: David Anthony

 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-melodic-swri-roscpp (2.2.1-1bionic) bionic; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 11 May 2018 05:00:00 -0000



=== debian/control ===
Source: ros-melodic-swri-roscpp
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgtest-dev <!nocheck>, libyaml-cpp-dev, pkg-config, ros-melodic-catkin, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-marti-common-msgs, ros-melodic-marti-introspection-msgs, ros-melodic-message-generation <!nocheck>, ros-melodic-message-runtime <!nocheck>, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-rostest <!nocheck>, ros-melodic-rosunit <!nocheck>, ros-melodic-std-msgs, ros-melodic-std-srvs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-swri-roscpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libyaml-cpp-dev, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-marti-common-msgs, ros-melodic-marti-introspection-msgs, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-std-msgs, ros-melodic-std-srvs
Description: swri_roscpp

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
